{% extends 'base.html.twig' %}
{% block title %}Nodes{% endblock %}
{% block page %}Nodes{% endblock %}
{% block body %}
    <div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-primary">
                        <h4 class="card-title ">Nodes</h4>
                        <p class="card-category">List of nodes</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-striped">
                            <table class="table">
                                <thead class=" text-primary">
                                <th>ID</th>
                                <th>Name</th>
                                <th>Zone</th>
                                <th class="text-center">Configuration</th>
                                <th class="text-center">Actions</th>
                                </thead>
                                <tbody>
                                {% for node in nodes %}
                                    <tr>
                                        <td>{{ node.id }}</td>
                                        <td>{{ node.node_name }}</td>
                                        <td>{{ node.zone_name ?? '-' }} </td>
                                        <td class="text-center"><a href="#" class="badge badge-primary show-configuration h6" data-configuration="{{ node.configuration|json_encode }}">Show</a></td>
                                        <td class="text-center">
                                            <a class="node-edit" data-id="{{ node.id }}" href="#" data-toggle="modal" data-target="#modal">
                                                {#                                            <a class="node-edit" href="{{ path('page_edit', {'id': page.id }) }}">#}
                                                <i class="material-icons">edit</i>
                                            </a>
                                            {#                                            <a class="page-delete"#}
                                            <a class="node-delete" href="{{ path('admin_node_delete', {'id': node.id }) }}"
                                               onclick="return confirm('Are you sure you want to delete this node?')">
                                                <i class="material-icons">delete</i>
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>

    <div class="modal fade" id="configuration-modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Node configuration</h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-white">
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        $(function() {
            const $modal = $('#modal');
            const $modalBody = $modal.find('.modal-body');
            const $modalTitle = $modal.find('.modal-title');
            $modalTitle.html('Account edit')
            $('.node-edit').on('click', function() {
                event.preventDefault()
                const id = $(event.currentTarget).data('id')
                $.get('/admin/node/'+id+'/edit')
                    .done((response) => {
                        $modalBody.html(response)
                        $modal.modal('show')
                    })
            })

            $('.show-configuration').on('click', function() {
                const jsonObject = JSON.parse($(this).attr('data-configuration'));

                // Wygeneruj ładnie sformatowany JSON
                const formattedJson = JSON.stringify(jsonObject, null, 2);
                $('#configuration-modal').modal('show')
                $('#configuration-modal').find('.modal-body').html('<pre class="text-white">' + formattedJson + '</pre>');
            })
        });
    </script>
{% endblock %}
